Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.transport.udp
Interface MessageQueue

All Known Implementing Classes:
  TimedWeightedPriorityMessageQueue

    interface MessageQueue

Base queue for messages not yet packetized

Method Summary
`void` | `add(OutNetMessage message)` Add on a new message to the queue
`OutNetMessage` | `getNext(long blockUntil)` Get the next message, blocking until one is found or the expiration reached.

Method Detail

### getNext

    OutNetMessage getNext(long blockUntil)

  Get the next message, blocking until one is found or the expiration reached.

  Parameters:
    `blockUntil` - expiration, or -1 if indefinite

### add

    void add(OutNetMessage message)

  Add on a new message to the queue

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD